<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iDestroyEntityRewardFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iDestroyEntityRewardFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iDestroyEntityRewardFactory" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the reward that destroys an entity.  
 <a href="structiDestroyEntityRewardFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="rewards_8h_source.html">tools/rewards.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iDestroyEntityRewardFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiDestroyEntityRewardFactory.png" usemap="#iDestroyEntityRewardFactory_map" alt=""/>
  <map id="iDestroyEntityRewardFactory_map" name="iDestroyEntityRewardFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,177,24"/>
</map>
 </div></div>

<p><a href="structiDestroyEntityRewardFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiDestroyEntityRewardFactory.html#acee4460d2803c5cd10c174f71aa68e0b">SetClassParameter</a> (const char *ent_class)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the entity class on which this reward will work.  <a href="#acee4460d2803c5cd10c174f71aa68e0b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiDestroyEntityRewardFactory.html#af8f57e601e97c4c4c19705a2ac3f1c6e">SetEntityParameter</a> (const char *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the entity.  <a href="#af8f57e601e97c4c4c19705a2ac3f1c6e"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the reward that destroys an entity. </p>
<p>You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.</p>
<p>The predefined name of this reward type is 'cel.rewards.destroyentity'.</p>
<p>In XML, factories recognize the following attribute on the 'op' node:</p>
<ul>
<li><em>entity</em>: the name of the entity to send the message too.</li>
<li><em>class</em>: the name of an entity class. If this is used instead of the entity parameter, the reward will apply to all entities in the given entity class. </li>
</ul>

<p>Definition at line <a class="el" href="rewards_8h_source.html#l00328">328</a> of file <a class="el" href="rewards_8h_source.html">rewards.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acee4460d2803c5cd10c174f71aa68e0b"></a><!-- doxytag: member="iDestroyEntityRewardFactory::SetClassParameter" ref="acee4460d2803c5cd10c174f71aa68e0b" args="(const char *ent_class)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiDestroyEntityRewardFactory.html#acee4460d2803c5cd10c174f71aa68e0b">iDestroyEntityRewardFactory::SetClassParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>ent_class</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the entity class on which this reward will work. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ent_class</td><td>is the name of the class or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af8f57e601e97c4c4c19705a2ac3f1c6e"></a><!-- doxytag: member="iDestroyEntityRewardFactory::SetEntityParameter" ref="af8f57e601e97c4c4c19705a2ac3f1c6e" args="(const char *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiDestroyEntityRewardFactory.html#af8f57e601e97c4c4c19705a2ac3f1c6e">iDestroyEntityRewardFactory::SetEntityParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the entity. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">entity</td><td>is the name of the entity or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="rewards_8h_source.html">rewards.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
